Bug 501030 - Need to display the current settings of the options bits in st driver. [NEEDINFO]
Need to display the current settings of the options bits in st driver.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tom Coughlan
Red Hat Kernel QE team
: FutureFeature, Triaged
Depends On:
Blocks: 533192 557292 5.5TechNotes-Updates
  Show dependency treegraph
 
Reported: 2009-05-15 11:09 EDT by Tom Coughlan
Modified: 2010-11-22 18:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The SCSI tape driver (st) has numerous option bits that can be set by ioclt or by the mt-st utility. Refer to /usr/include/linux/mtio.h and "man mt" for the bit definitions. A new sysfs entry is provided to allow the current state of these option bits to be read. This information is in the file: /sys/class/scsi_tape/devn/options where "devn" is a device name, such as st0 or nst0.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cward: needinfo? (coughlan)


Attachments (Terms of Use)

  None (edit)
Description Tom Coughlan 2009-05-15 11:09:06 EDT
The SCSI tape driver (st) has numerous option bits that can be set by ioclt or by the mt-st utility. 

buffer-writes  buffered writes enabled
async-writes   asynchronous writes enabled
read-ahead     read-ahead for fixed block size
debug          debugging (if compiled into driver)
two-fms        write two filemarks when file closed
fast-eod       space directly to eod (and lose file number)
no-wait        dont wait until rewind, etc. complete
auto-lock      automatically lock/unlock drive door
def-writes     the block size and density are for writes
can-bsr        drive can space backwards as well
no-blklimits   drive doesnt support read block limits
can-partitions drive can handle partitioned tapes
scsi2logical   seek and tell use SCSI-2 logical block addresses instead of
               device dependent addresses
sysv           enable the System V semantics

and the recently added 

sili bit (see BZ 457970). 

There is currently no easy way to determine the current settings of these option bits. 

The following upstream commit makes this information available is sysfs: 

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b174be02f3634460ac215d249617dee5ae446ae1

This capability should be added to RHEL 5, to make system management and support easier.  

A newer version of the mt-st management utility also formats and displays this information nicely. This is under consideration for RHEL 5 as well. BZ 501014.
Comment 1 RHEL Product and Program Management 2009-05-15 11:19:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Tom Coughlan 2009-11-30 17:41:31 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The SCSI tape driver (st) has numerous option bits that can be set by ioclt or by the mt-st utility. Refer to /usr/include/linux/mtio.h and "man mt" for the bit definitions. 

A new sysfs entry is provided to allow the current state of these option bits to be read. This information is in the file:

/sys/class/scsi_tape/devn/options

where "devn" is a device name, such as st0 or  nst0.
Comment 4 Don Zickus 2009-12-11 14:27:00 EST
in kernel-2.6.18-179.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.
Comment 6 Chris Ward 2010-02-11 05:21:42 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 9 errata-xmlrpc 2010-03-30 03:30:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.